BF.exports.luaUpdate = function()
    Game:update()
end

BF.exports.luaOnDestroy = function()
    Game:onDestroy()
end

BF.exports.luaOnLogMessageReceived = function(logString, stackTrace)
    Game:onLogMessageReceived(logString, stackTrace)
end

BF.exports.luaOnApplicationFocus = function(hasFocus)
    Game:onApplicationFocus(hasFocus)
end

BF.exports.luaOnApplicationPause = function(pauseStatus)
    Game:onApplicationPause(pauseStatus)
end

BF.exports.luaOnApplicationQuit = function()
    Game:onApplicationQuit()
end